Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.generic
Interface PushInstruction

All Superinterfaces:
  StackProducer

All Known Subinterfaces:
  ConstantPushInstruction

All Known Implementing Classes:
  ACONST_NULL, ALOAD, BIPUSH, DCONST, DLOAD, DUP, DUP2, FCONST, FLOAD, GETSTATIC, ICONST, ILOAD, LCONST, LDC, LDC_W, LDC2_W, LLOAD, LoadInstruction, SIPUSH

    public interface PushInstruction

extends StackProducer

Denotes an unparameterized instruction to produce a value on top of the stack, such as ILOAD, LDC, SIPUSH, DUP, ICONST, etc.

Version:
  $Id: PushInstruction.java 386056 2006-03-15 11:31:56Z tcurdt $
See Also:
  `ILOAD`, `ICONST`, `LDC`, `DUP`, `SIPUSH`, `GETSTATIC`

Method Summary

Methods inherited from interface org.apache.bcel.generic.StackProducer
`produceStack`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.